com.sun.syndication.feed.impl

## Class BeanIntrospector

- java.lang.Object
- - com.sun.syndication.feed.impl.BeanIntrospector

    public class BeanIntrospector
    extends java.lang.Object

Obtains all property descriptors from a bean (interface or implementation).

The java.beans.Introspector does not process the interfaces hierarchy chain, this one does.

### Constructor Summary

Constructors
Constructor and Description
`BeanIntrospector()`

### Method Summary

Methods
`static java.beans.PropertyDescriptor[]` `getPropertyDescriptors(java.lang.Class klass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanIntrospector

    public BeanIntrospector()

### Method Detail

#### getPropertyDescriptors

    public static java.beans.PropertyDescriptor[] getPropertyDescriptors(java.lang.Class klass)
                                                                  throws java.beans.IntrospectionException

Throws:
  `java.beans.IntrospectionException`